org.apache.felix.connect.felix.framework.util

## Class ShrinkableCollection<T>

- java.lang.Object
- - java.util.AbstractCollection<T>
  - - org.apache.felix.connect.felix.framework.util.ShrinkableCollection<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>

    public class ShrinkableCollection<T>
    extends AbstractCollection<T>

A collection wrapper that only permits clients to shrink the collection.

### Constructor Summary

Constructors
Constructor and Description
`ShrinkableCollection(Collection<T> delegate)`

### Method Summary

Methods
`Iterator<T>` `iterator()`
`int` `size()`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode`

### Constructor Detail

#### ShrinkableCollection

    public ShrinkableCollection(Collection<T> delegate)

### Method Detail

#### iterator

    public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`
Specified by:
  `iterator` in interface `Collection<T>`
Specified by:
  `iterator` in class `AbstractCollection<T>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<T>`
Specified by:
  `size` in class `AbstractCollection<T>`